View Issue Details

IDProjectCategoryView StatusLast Update
0000176Cinelerra-GG[All Projects] Featurepublic2019-09-14 11:21
ReporterSamAssigned ToPhyllisSmith 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2019-02 
Target VersionFixed in Version2019-09 
Summary0000176: Display recently opened projects in a submenu
DescriptionIt's only a small improvement, but for me as a designer and aesthetician it's an important change. From the very first hour, I've been annoyed that the File drop-down menu always has a different width. It looks unprofessional and ugly.

With the following changes it improves:
1. the file-menu always has the same width.
2. it looks more aesthetic.
3. by lifting the submenu up, I have more space down to show more recently opened projects.
4. the space gained also allows me to display the most recently opened files, if desired.
5. the different width of this sub-menu is not considered annoying because it is not part of the main menu.

This small change ensures that Cinelerra is not only improved from a feature point of view, but also aesthetically.
TagsMain window

Activities

IgorBeg

IgorBeg

2019-09-14 08:57

reporter   ~0002139

Thanks!
For me it is PERFECT. (also the others menu)
PhyllisSmith

PhyllisSmith

2019-09-14 01:20

manager   ~0002138

A ubuntu16 build is available at:

https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
PhyllisSmith

PhyllisSmith

2019-09-13 22:55

manager   ~0002136

In the pulldown menus, the shortcuts are now a little more aesthetically pleasing with more space in between. There is a single code line that affects all of the pulldowns so they will all be spaced better.
Sam

Sam

2019-09-11 21:24

administrator   ~0002122

I agree with @IgorBeg, the text is a little too close together. With the other menus it fits. Otherwise everything is fine.
IgorBeg

IgorBeg

2019-09-10 08:29

reporter   ~0002099

Waiting for Sam...
GG/Phyllis, it is really good. Thanks! (and thanks for the build).

In the File menu (but also in others menu, except View and Window menu) the text and the shortcut are too close (one space, I guess): see "Export Project... Alt+s".
Is it possible to add one or two space between text and the shortcut, if You (developers), and Sam agree with me?
Thanks!
PhyllisSmith

PhyllisSmith

2019-09-10 03:11

manager   ~0002097

"Load Recent" is now in a submenu of the File pulldown after "Load Files'. This was implemented similar to Sam's File_menu_02.png. However, the recently viewed is limited to a total of 20 between projects AND media with a line in between them (there will be no line if only projects or only media). What this means is that if you just load 20 media files, and then now load 1 xml file more recently, there will be 19 media files an 1 xml file. The limitation of 20 between the 2 was so that the submenu does not take up too much window space.

A Ubuntu16 build is at:
    https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
IgorBeg

IgorBeg

2019-08-17 19:27

reporter   ~0002023

I would like to refresh this good Sam's suggestion.
I would like so much like showed by Sam's PNG.
If divide in "Last Projects" and "Last No Project Files" is not possible (and I would like so much), I think it would always be good to have at least all the files loaded, like displayed now but in submenu.
For me the name of the item should be "Load Recent..." and put below the "Load files..." item.
So you would see:
- New Project...
- Load files...
- Load Recent...
- Save
...

Thanks!
PhyllisSmith

PhyllisSmith

2019-04-19 18:44

manager   ~0001384

I like this suggestion A LOT as it looks SO MUCH BETTER. It should be relatively easy to implement so will see what GG has to say.
Sam

Sam

2019-03-25 07:42

administrator  

File_menu_02.png (89,572 bytes)
File_menu_02.png (89,572 bytes)

Issue History

Date Modified Username Field Change
2019-03-25 07:42 Sam New Issue
2019-03-25 07:42 Sam Tag Attached: Main window
2019-03-25 07:42 Sam File Added: File_menu_02.png
2019-04-19 18:44 PhyllisSmith Assigned To => PhyllisSmith
2019-04-19 18:44 PhyllisSmith Status new => acknowledged
2019-04-19 18:44 PhyllisSmith Note Added: 0001384
2019-08-17 19:27 IgorBeg Note Added: 0002023
2019-09-10 03:11 PhyllisSmith Note Added: 0002097
2019-09-10 08:29 IgorBeg Note Added: 0002099
2019-09-11 21:24 Sam Note Added: 0002122
2019-09-13 22:55 PhyllisSmith Note Added: 0002136
2019-09-14 01:20 PhyllisSmith Note Added: 0002138
2019-09-14 08:57 IgorBeg Note Added: 0002139
2019-09-14 11:21 PhyllisSmith Status acknowledged => resolved
2019-09-14 11:21 PhyllisSmith Resolution open => fixed
2019-09-14 11:21 PhyllisSmith Fixed in Version => 2019-09